/* https://github.com/IdreesInc/Monocraft */
@font-face {
	font-family: "Monocraft";
	src: url("https://cdn.jsdelivr.net/gh/IdreesInc/Monocraft@main/dist/Monocraft-ttf/Monocraft.ttf") format("truetype");
	font-weight: normal;
	font-style: normal;
}

/* Applies a subtle scrolling animation to the background */
@keyframes scrollingBackground {
	0% {
		background-position: 0 0;
	}

	100% {
		background-position: 8em -16em;
	}
}

body {
	image-rendering: pixelated;
	background-image: url("assets/background.png");
	background-repeat: repeat;
	background-size: 8em;

	/* Animation info */
	animation-name: scrollingBackground;
	animation-duration: 10s;
	animation-timing-function: linear;
	animation-iteration-count: infinite;
}

dialog {
	max-width: 30rem;

	font-family: "Monocraft", sans-serif;
	color: #2e222f;

	text-align: center;
	text-wrap-style: balance;

	/* Border details */
	border: 0.5em solid transparent;
	border-image: url("assets/panel-background.png");
	border-image-slice: 4 fill;
	image-rendering: pixelated;

	/* Fixes `dialog`-specific corner transparency issue. */
	background-color: transparent;
}
